<?php


namespace IPS\advancedwelcomeheader\modules\admin\advancedwelcomeheader;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * basicsettings
 */
class _basicsettings extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()

	{
		$form = new \IPS\Helpers\Form;
		$form->addHeader( 'Advanced Weldome Header is a free application by Vortex Development' );
		$form->add( new \IPS\Helpers\Form\Text( 'vxwh_guest_slogan', \IPS\Settings::i()->vxwh_guest_slogan ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_time', \IPS\Settings::i()->vxwh_show_time, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_time' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_member_message', \IPS\Settings::i()->vxwh_show_member_message, FALSE, array( 'togglesOn' => array( 'vxwh_member_message' ) ) ) );
		$form->add( new \IPS\Helpers\Form\TextArea( 'vxwh_member_message', \IPS\Settings::i()->vxwh_member_message, TRUE, array(), NULL, NULL, NULL, 'vxwh_member_message' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_guest_message', \IPS\Settings::i()->vxwh_show_guest_message, FALSE, array( 'togglesOn' => array( 'vxwh_guest_message' ) ) ) );
		$form->add( new \IPS\Helpers\Form\TextArea( 'vxwh_guest_message', \IPS\Settings::i()->vxwh_guest_message, TRUE, array(), NULL, NULL, NULL, 'vxwh_guest_message' ) );
		$form->add( new \IPS\Helpers\Form\Number( 'vxwh_minimum', \IPS\Settings::i()->vxwh_minimum ) );
		$form->addMessage( 'vxwh_infoline' );
		if ( $values = $form->values() )
		{
			$form->saveAsSettings();
		}
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Welcome Header - Basic Settings' );
		\IPS\Output::i()->output = $form;
	}
	// Create new methods with the same name as the 'do' parameter which should execute it
}