<?php


namespace IPS\advancedwelcomeheader\modules\admin\advancedwelcomeheader;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * guestbuttons
 */
class _guestbuttons extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		$form = new \IPS\Helpers\Form;
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_button_sign_up', \IPS\Settings::i()->vxwh_show_button_sign_up, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_button_sign_up' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_button_sign_in', \IPS\Settings::i()->vxwh_show_button_sign_in, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_button_sign_in' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_button_contact_us', \IPS\Settings::i()->vxwh_show_button_contact_us, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_button_contact_us' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_button_lost_password', \IPS\Settings::i()->vxwh_show_button_lost_password, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_button_lost_password' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_guest_buttons', \IPS\Settings::i()->vxwh_show_guest_buttons, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_guest_buttons' ) );
		$vxwh_guestbuttons_value = array();
		if (\IPS\Settings::i()->vxwh_guestbuttons_stack) {
			foreach (json_decode(\IPS\Settings::i()->vxwh_guestbuttons_stack, TRUE) as $k => $v) {
				$vxwh_guestbuttons_value[] = array('gicon' => $v['gicon'], 'gtitle' => $v['gtitle'], 'gurl' => $v['gurl']);
			}
		}
		$form->add(new \IPS\Helpers\Form\Stack('vxwh_guestbuttons_stack', $vxwh_guestbuttons_value, false,
		array('stackFieldType' => 'Custom', 'getHtml' => function ($element) {
			return \IPS\Output::i()->output = \IPS\Theme::i()->getTemplate('settings', 'advancedwelcomeheader', 'admin')->advancedguestform($element);
		})));
		if ($values = $form->values()) {
			if (isset($values['vxwh_guestbuttons_stack'])) {
				$vxwh_guestbuttons_value = array();
				foreach ($values['vxwh_guestbuttons_stack'] as $k => $data) {
					if (isset($data['gicon']) and isset($data['gtitle']) and isset($data['gurl'])) {
						$vxwh_guestbuttons_value[] = array(
							'gicon' => $data['gicon'],                
							'gtitle' => $data['gtitle'],
							'gurl' => $data['gurl'],
						);
					}
				}
				if (isset($vxwh_guestbuttons_value)) {
					$values['vxwh_guestbuttons_stack'] = json_encode($vxwh_guestbuttons_value);
				}
			}
			$form->saveAsSettings($values);
		}
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Welcome Header - Guest Buttons' );
		\IPS\Output::i()->output = $form;
	}
	// Create new methods with the same name as the 'do' parameter which should execute it
}