<?php


namespace IPS\advancedwelcomeheader\modules\admin\advancedwelcomeheader;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * memberbuttons
 */
class _memberbuttons extends \IPS\Dispatcher\Controller
{
	/**
	 * Execute
	 *
	 * @return	void
	 */
	public function execute()
	{
		
		parent::execute();
	}

	/**
	 * ...
	 *
	 * @return	void
	 */
	protected function manage()
	{
		$form = new \IPS\Helpers\Form;
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_button_my_topics', \IPS\Settings::i()->vxwh_show_button_my_topics, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_button_my_topics' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_button_my_posts', \IPS\Settings::i()->vxwh_show_button_my_posts, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_button_my_posts' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_button_status_updates', \IPS\Settings::i()->vxwh_show_button_status_updates, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_button_status_updates' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_button_status_replies', \IPS\Settings::i()->vxwh_show_button_status_replies, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_button_status_replies' ) );
		$form->add( new \IPS\Helpers\Form\YesNo( 'vxwh_show_custom_buttons', \IPS\Settings::i()->vxwh_show_custom_buttons, FALSE, array(), NULL, NULL, NULL, 'vxwh_show_custom_buttons' ) );
		$vxwh_memberbuttons_value = array();
		if (\IPS\Settings::i()->vxwh_memberbuttons_stack) {
			foreach (json_decode(\IPS\Settings::i()->vxwh_memberbuttons_stack, TRUE) as $k => $v) {
				$vxwh_memberbuttons_value[] = array('icon' => $v['icon'], 'title' => $v['title'], 'url' => $v['url']);
			}
		}
		$form->add(new \IPS\Helpers\Form\Stack('vxwh_memberbuttons_stack', $vxwh_memberbuttons_value, false,
		array('stackFieldType' => 'Custom', 'getHtml' => function ($element) {
			return \IPS\Output::i()->output = \IPS\Theme::i()->getTemplate( 'settings', 'advancedwelcomeheader', 'admin' )->advancedwelcomeform($element);
		})));
		if ($values = $form->values()) {
			if (isset($values['vxwh_memberbuttons_stack'])) {
				$vxwh_memberbuttons_value = array();
				foreach ($values['vxwh_memberbuttons_stack'] as $k => $data) {
					if (isset($data['icon']) and isset($data['title']) and isset($data['url'])) {
						$vxwh_memberbuttons_value[] = array(
							'icon' => $data['icon'],                
							'title' => $data['title'],
							'url' => $data['url'],
						);
					}
				}
				if (isset($vxwh_memberbuttons_value)) {
					$values['vxwh_memberbuttons_stack'] = json_encode($vxwh_memberbuttons_value);
				}
			}
			$form->saveAsSettings($values);
		}
		\IPS\Output::i()->title = \IPS\Member::loggedIn()->language()->addToStack( 'Welcome Header - Member Buttons' );
		\IPS\Output::i()->output = $form;
	}
	// Create new methods with the same name as the 'do' parameter which should execute it
}